org.apache.fop.pdf

## Class PDFSignParams

- java.lang.Object
- - org.apache.fop.pdf.PDFSignParams

    public class PDFSignParams
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PDFSignParams(String pkcs12, String name, String location, String reason, String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocation()`
`String` `getName()`
`String` `getPassword()`
`String` `getPkcs12()`
`String` `getReason()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFSignParams

    public PDFSignParams(String pkcs12,
                         String name,
                         String location,
                         String reason,
                         String password)

### Method Detail

#### getPkcs12

    public String getPkcs12()

#### getName

    public String getName()

#### getLocation

    public String getLocation()

#### getReason

    public String getReason()

#### getPassword

    public String getPassword()